<?php

namespace App\Http\Controllers;

use App\EvaluacionDiagnostica;
use App\ObservacionesEA;
use App\ObservacionesED;
use App\ReporteFinalEvaluacionAcreditacion;
use App\InstrumentacionDidactica;
use App\ObservacionesID;
use Illuminate\Http\Request;

class ObservacionesEDController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $data = $request->all();
        if ($data['estado'] == 0) {
            ObservacionesED::create(['observaciones_obed' => $data['obser'], 'status_obed' => $data['estado'], 'cve_evaldiag' => $data['evad'],]);
            $ed = EvaluacionDiagnostica::findOrFail($data['evad']);
            $ed->status_evaldiag = 0;
            $ed->save();
            return response()->json(['estado' => 'Exito', 'mensaje' => 'Las Observaciones han sido entregadas al docente con exito!']);
        } else {

            dd($data);
        }
    }

    public function storeEA(Request $request)
    {
        $data = $request->all();
        if ($data['estado'] == 1) {
            ObservacionesEA::create(['observaciones_obrfea' => $data['obser'], 'status_rfea' => $data['estado'], 'cve_repfea' => $data['ea'],]);
            $ea = ReporteFinalEvaluacionAcreditacion::findOrFail($data['ea']);
            $ea->estado_repfea = 'Borrador';
            $ea->save();
            return response()->json(['estado' => 'Exito', 'mensaje' => 'Las Observaciones han sido entregadas al docente con exito!']);
        }
    }

    public function storeID(Request $request)
    {
        $data = $request->all();
        if ($data['estado'] == 1) {
            ObservacionesID::create(['observaciones_obid' => $data['obser'], 'status_obid' => $data['estado'], 'cve_instdidac' => $data['ind'],]);
            $ea = InstrumentacionDidactica::findOrFail($data['ind']);
            $ea->estado_instdidac = 'Borrador';
            $ea->save();
            return response()->json(['estado' => 'Exito', 'mensaje' => 'Las Observaciones han sido entregadas al docente con exito!']);
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
